pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b__awsres.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__awsres.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is
   pragma Warnings (Off);

   E134 : Short_Integer; pragma Import (Ada, E134, "system__os_lib_E");
   E013 : Short_Integer; pragma Import (Ada, E013, "system__soft_links_E");
   E204 : Short_Integer; pragma Import (Ada, E204, "system__fat_lflt_E");
   E203 : Short_Integer; pragma Import (Ada, E203, "system__fat_llf_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "system__exception_table_E");
   E167 : Short_Integer; pragma Import (Ada, E167, "ada__containers_E");
   E114 : Short_Integer; pragma Import (Ada, E114, "ada__io_exceptions_E");
   E198 : Short_Integer; pragma Import (Ada, E198, "ada__numerics_E");
   E052 : Short_Integer; pragma Import (Ada, E052, "ada__strings_E");
   E054 : Short_Integer; pragma Import (Ada, E054, "ada__strings__maps_E");
   E058 : Short_Integer; pragma Import (Ada, E058, "ada__strings__maps__constants_E");
   E091 : Short_Integer; pragma Import (Ada, E091, "ada__tags_E");
   E113 : Short_Integer; pragma Import (Ada, E113, "ada__streams_E");
   E045 : Short_Integer; pragma Import (Ada, E045, "interfaces__c_E");
   E270 : Short_Integer; pragma Import (Ada, E270, "interfaces__c__strings_E");
   E025 : Short_Integer; pragma Import (Ada, E025, "system__exceptions_E");
   E137 : Short_Integer; pragma Import (Ada, E137, "system__file_control_block_E");
   E188 : Short_Integer; pragma Import (Ada, E188, "ada__streams__stream_io_E");
   E130 : Short_Integer; pragma Import (Ada, E130, "system__file_io_E");
   E116 : Short_Integer; pragma Import (Ada, E116, "system__finalization_root_E");
   E111 : Short_Integer; pragma Import (Ada, E111, "ada__finalization_E");
   E301 : Short_Integer; pragma Import (Ada, E301, "system__regpat_E");
   E118 : Short_Integer; pragma Import (Ada, E118, "system__storage_pools_E");
   E105 : Short_Integer; pragma Import (Ada, E105, "system__finalization_masters_E");
   E101 : Short_Integer; pragma Import (Ada, E101, "system__storage_pools__subpools_E");
   E223 : Short_Integer; pragma Import (Ada, E223, "system__task_info_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "ada__calendar_E");
   E066 : Short_Integer; pragma Import (Ada, E066, "ada__calendar__time_zones_E");
   E294 : Short_Integer; pragma Import (Ada, E294, "gnat__calendar_E");
   E296 : Short_Integer; pragma Import (Ada, E296, "gnat__calendar__time_io_E");
   E322 : Short_Integer; pragma Import (Ada, E322, "gnat__directory_operations_E");
   E328 : Short_Integer; pragma Import (Ada, E328, "gnat__secure_hashes_E");
   E330 : Short_Integer; pragma Import (Ada, E330, "gnat__secure_hashes__sha1_E");
   E182 : Short_Integer; pragma Import (Ada, E182, "system__assertions_E");
   E176 : Short_Integer; pragma Import (Ada, E176, "system__pool_global_E");
   E282 : Short_Integer; pragma Import (Ada, E282, "system__random_seed_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__secondary_stack_E");
   E089 : Short_Integer; pragma Import (Ada, E089, "ada__strings__unbounded_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "ada__directories_E");
   E326 : Short_Integer; pragma Import (Ada, E326, "gnat__sha1_E");
   E139 : Short_Integer; pragma Import (Ada, E139, "system__regexp_E");
   E320 : Short_Integer; pragma Import (Ada, E320, "gnat__command_line_E");
   E186 : Short_Integer; pragma Import (Ada, E186, "system__strings__stream_ops_E");
   E239 : Short_Integer; pragma Import (Ada, E239, "system__tasking__initialization_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "ada__text_io_E");
   E249 : Short_Integer; pragma Import (Ada, E249, "system__tasking__protected_objects_E");
   E253 : Short_Integer; pragma Import (Ada, E253, "system__tasking__protected_objects__entries_E");
   E247 : Short_Integer; pragma Import (Ada, E247, "system__tasking__queuing_E");
   E314 : Short_Integer; pragma Import (Ada, E314, "memory_streams_E");
   E312 : Short_Integer; pragma Import (Ada, E312, "templates_parser_tasking_E");
   E290 : Short_Integer; pragma Import (Ada, E290, "templates_parser_E");
   E306 : Short_Integer; pragma Import (Ada, E306, "templates_parser__input_E");
   E308 : Short_Integer; pragma Import (Ada, E308, "templates_parser__utils_E");
   E197 : Short_Integer; pragma Import (Ada, E197, "aws__utils_E");
   E164 : Short_Integer; pragma Import (Ada, E164, "aws__resources_E");
   E316 : Short_Integer; pragma Import (Ada, E316, "aws__resources__files_E");
   E174 : Short_Integer; pragma Import (Ada, E174, "aws__resources__streams_E");
   E318 : Short_Integer; pragma Import (Ada, E318, "aws__resources__streams__disk_E");
   E192 : Short_Integer; pragma Import (Ada, E192, "aws__resources__streams__memory_E");
   E166 : Short_Integer; pragma Import (Ada, E166, "aws__resources__embedded_E");
   E180 : Short_Integer; pragma Import (Ada, E180, "aws__resources__streams__zlib_E");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "aws__resources__embedded__finalize_body");
      begin
         E166 := E166 - 1;
         if E166 = 0 then
            F1;
         end if;
      end;
      E180 := E180 - 1;
      declare
         procedure F2;
         pragma Import (Ada, F2, "aws__resources__streams__zlib__finalize_spec");
      begin
         if E180 = 0 then
            F2;
         end if;
      end;
      E192 := E192 - 1;
      declare
         procedure F3;
         pragma Import (Ada, F3, "aws__resources__streams__memory__finalize_spec");
      begin
         if E192 = 0 then
            F3;
         end if;
      end;
      E318 := E318 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "aws__resources__streams__disk__finalize_spec");
      begin
         if E318 = 0 then
            F4;
         end if;
      end;
      E174 := E174 - 1;
      declare
         procedure F5;
         pragma Import (Ada, F5, "aws__resources__streams__finalize_spec");
      begin
         if E174 = 0 then
            F5;
         end if;
      end;
      E197 := E197 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "aws__utils__finalize_spec");
      begin
         if E197 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "templates_parser__finalize_body");
      begin
         E290 := E290 - 1;
         if E290 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "templates_parser__finalize_spec");
      begin
         if E290 = 0 then
            F8;
         end if;
      end;
      declare
         procedure F9;
         pragma Import (Ada, F9, "templates_parser_tasking__finalize_body");
      begin
         E312 := E312 - 1;
         if E312 = 0 then
            F9;
         end if;
      end;
      E253 := E253 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E253 = 0 then
            F10;
         end if;
      end;
      E143 := E143 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "ada__text_io__finalize_spec");
      begin
         if E143 = 0 then
            F11;
         end if;
      end;
      E062 := E062 - 1;
      E139 := E139 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "system__regexp__finalize_spec");
      begin
         if E139 = 0 then
            F12;
         end if;
      end;
      declare
         procedure F13;
         pragma Import (Ada, F13, "ada__directories__finalize_spec");
      begin
         if E062 = 0 then
            F13;
         end if;
      end;
      E089 := E089 - 1;
      declare
         procedure F14;
         pragma Import (Ada, F14, "ada__strings__unbounded__finalize_spec");
      begin
         if E089 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "system__file_io__finalize_body");
      begin
         E130 := E130 - 1;
         if E130 = 0 then
            F15;
         end if;
      end;
      E105 := E105 - 1;
      E101 := E101 - 1;
      E176 := E176 - 1;
      declare
         procedure F16;
         pragma Import (Ada, F16, "system__pool_global__finalize_spec");
      begin
         if E176 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "system__storage_pools__subpools__finalize_spec");
      begin
         if E101 = 0 then
            F17;
         end if;
      end;
      declare
         procedure F18;
         pragma Import (Ada, F18, "system__finalization_masters__finalize_spec");
      begin
         if E105 = 0 then
            F18;
         end if;
      end;
      E188 := E188 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "ada__streams__stream_io__finalize_spec");
      begin
         if E188 = 0 then
            F19;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           True, False, False, False, False, False, False, False, 
           False, False, False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, False, True, True, False, False, True, 
           False, False, True, True, True, True, False, False, 
           True, False, False, True, True, False, True, True, 
           False, True, True, True, True, True, True, True, 
           False, True, False, False, True, False, True, False, 
           True, True, False, False, True, True, False, False, 
           True, True, False, True, False, False, False, False, 
           False, False, True, True, True, False, False, True, 
           False, False, True, False, True, True, False, True, 
           True, True, False, True, False, False, False, True, 
           False, False, False, False, True, False),
         Count => (0, 0, 0, 2, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      if E013 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E204 = 0 then
         System.Fat_Lflt'Elab_Spec;
      end if;
      E204 := E204 + 1;
      if E203 = 0 then
         System.Fat_Llf'Elab_Spec;
      end if;
      E203 := E203 + 1;
      if E023 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E023 := E023 + 1;
      if E167 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E167 := E167 + 1;
      if E114 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E114 := E114 + 1;
      if E198 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E198 := E198 + 1;
      if E052 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E052 := E052 + 1;
      if E054 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      if E058 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E058 := E058 + 1;
      if E091 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E113 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E113 := E113 + 1;
      if E045 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      if E270 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      if E025 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E025 := E025 + 1;
      if E137 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E137 := E137 + 1;
      if E188 = 0 then
         Ada.Streams.Stream_Io'Elab_Spec;
      end if;
      E188 := E188 + 1;
      if E116 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E116 := E116 + 1;
      if E111 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E111 := E111 + 1;
      if E301 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      if E118 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E118 := E118 + 1;
      if E105 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E101 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      if E223 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E223 := E223 + 1;
      if E006 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E006 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E006 := E006 + 1;
      if E066 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E066 := E066 + 1;
      if E294 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E294 := E294 + 1;
      if E296 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      if E322 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      E328 := E328 + 1;
      if E330 = 0 then
         Gnat.Secure_Hashes.Sha1'Elab_Spec;
      end if;
      E330 := E330 + 1;
      if E182 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E182 := E182 + 1;
      if E176 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E176 := E176 + 1;
      if E282 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E282 := E282 + 1;
      E101 := E101 + 1;
      if E105 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E105 := E105 + 1;
      E301 := E301 + 1;
      if E130 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E130 := E130 + 1;
      E270 := E270 + 1;
      E045 := E045 + 1;
      if E091 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E091 := E091 + 1;
      E054 := E054 + 1;
      if E013 = 0 then
         System.Soft_Links'Elab_Body;
      end if;
      E013 := E013 + 1;
      if E134 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E134 := E134 + 1;
      if E017 = 0 then
         System.Secondary_Stack'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E322 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E322 := E322 + 1;
      if E089 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E089 := E089 + 1;
      if E062 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E326 = 0 then
         Gnat.Sha1'Elab_Spec;
      end if;
      E326 := E326 + 1;
      if E139 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E139 := E139 + 1;
      if E062 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E062 := E062 + 1;
      if E320 = 0 then
         Gnat.Command_Line'Elab_Spec;
      end if;
      if E186 = 0 then
         System.Strings.Stream_Ops'Elab_Body;
      end if;
      E186 := E186 + 1;
      if E239 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E239 := E239 + 1;
      if E143 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E143 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E143 := E143 + 1;
      if E320 = 0 then
         Gnat.Command_Line'Elab_Body;
      end if;
      E320 := E320 + 1;
      E296 := E296 + 1;
      if E249 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E249 := E249 + 1;
      if E253 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E253 := E253 + 1;
      if E247 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E247 := E247 + 1;
      E314 := E314 + 1;
      if E312 = 0 then
         Templates_Parser_Tasking'Elab_Body;
      end if;
      E312 := E312 + 1;
      if E290 = 0 then
         Templates_Parser'Elab_Spec;
      end if;
      if E306 = 0 then
         Templates_Parser.Input'Elab_Spec;
      end if;
      E306 := E306 + 1;
      if E308 = 0 then
         Templates_Parser.Utils'Elab_Spec;
      end if;
      E308 := E308 + 1;
      if E290 = 0 then
         Templates_Parser'Elab_Body;
      end if;
      E290 := E290 + 1;
      if E197 = 0 then
         AWS.UTILS'ELAB_SPEC;
      end if;
      if E197 = 0 then
         AWS.UTILS'ELAB_BODY;
      end if;
      E197 := E197 + 1;
      if E164 = 0 then
         AWS.RESOURCES'ELAB_SPEC;
      end if;
      if E174 = 0 then
         AWS.RESOURCES.STREAMS'ELAB_SPEC;
      end if;
      E174 := E174 + 1;
      if E318 = 0 then
         AWS.RESOURCES.STREAMS.DISK'ELAB_SPEC;
      end if;
      E318 := E318 + 1;
      if E192 = 0 then
         AWS.RESOURCES.STREAMS.MEMORY'ELAB_SPEC;
      end if;
      E192 := E192 + 1;
      E164 := E164 + 1;
      if E180 = 0 then
         AWS.RESOURCES.STREAMS.ZLIB'ELAB_SPEC;
      end if;
      E180 := E180 + 1;
      if E166 = 0 then
         AWS.RESOURCES.EMBEDDED'ELAB_BODY;
      end if;
      E166 := E166 + 1;
      E316 := E316 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_awsres");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/obj/tools/awsres.o
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/obj/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/lib/aws/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/lib/include/
   --   -L/usr/lib/zlib-ada/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/lib/src/
   --   -L/usr/lib/xmlada/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/lib/ssl/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/ssl/
   --   -L/usr/lib/templates_parser/
   --   -L/usr/lib/gcc/i686-redhat-linux/5.1.1/adalib/
   --   -shared
   --   -lgnarl-5
   --   -lgnat-5
   --   -lpthread
   --   -lrt
--  END Object file/option list   

end ada_main;
