pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b__webxref.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__webxref.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is
   pragma Warnings (Off);

   E138 : Short_Integer; pragma Import (Ada, E138, "system__os_lib_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "system__soft_links_E");
   E177 : Short_Integer; pragma Import (Ada, E177, "system__fat_lflt_E");
   E176 : Short_Integer; pragma Import (Ada, E176, "system__fat_llf_E");
   E012 : Short_Integer; pragma Import (Ada, E012, "system__exception_table_E");
   E055 : Short_Integer; pragma Import (Ada, E055, "ada__containers_E");
   E118 : Short_Integer; pragma Import (Ada, E118, "ada__io_exceptions_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "ada__numerics_E");
   E009 : Short_Integer; pragma Import (Ada, E009, "ada__strings_E");
   E048 : Short_Integer; pragma Import (Ada, E048, "ada__strings__maps_E");
   E052 : Short_Integer; pragma Import (Ada, E052, "ada__strings__maps__constants_E");
   E095 : Short_Integer; pragma Import (Ada, E095, "ada__tags_E");
   E117 : Short_Integer; pragma Import (Ada, E117, "ada__streams_E");
   E064 : Short_Integer; pragma Import (Ada, E064, "interfaces__c_E");
   E247 : Short_Integer; pragma Import (Ada, E247, "interfaces__c__strings_E");
   E026 : Short_Integer; pragma Import (Ada, E026, "system__exceptions_E");
   E141 : Short_Integer; pragma Import (Ada, E141, "system__file_control_block_E");
   E179 : Short_Integer; pragma Import (Ada, E179, "ada__streams__stream_io_E");
   E134 : Short_Integer; pragma Import (Ada, E134, "system__file_io_E");
   E120 : Short_Integer; pragma Import (Ada, E120, "system__finalization_root_E");
   E115 : Short_Integer; pragma Import (Ada, E115, "ada__finalization_E");
   E280 : Short_Integer; pragma Import (Ada, E280, "system__regpat_E");
   E122 : Short_Integer; pragma Import (Ada, E122, "system__storage_pools_E");
   E109 : Short_Integer; pragma Import (Ada, E109, "system__finalization_masters_E");
   E105 : Short_Integer; pragma Import (Ada, E105, "system__storage_pools__subpools_E");
   E200 : Short_Integer; pragma Import (Ada, E200, "system__task_info_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "ada__calendar_E");
   E070 : Short_Integer; pragma Import (Ada, E070, "ada__calendar__time_zones_E");
   E273 : Short_Integer; pragma Import (Ada, E273, "gnat__calendar_E");
   E275 : Short_Integer; pragma Import (Ada, E275, "gnat__calendar__time_io_E");
   E303 : Short_Integer; pragma Import (Ada, E303, "gnat__directory_operations_E");
   E251 : Short_Integer; pragma Import (Ada, E251, "system__assertions_E");
   E284 : Short_Integer; pragma Import (Ada, E284, "system__pool_global_E");
   E261 : Short_Integer; pragma Import (Ada, E261, "system__random_seed_E");
   E018 : Short_Integer; pragma Import (Ada, E018, "system__secondary_stack_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "ada__strings__unbounded_E");
   E060 : Short_Integer; pragma Import (Ada, E060, "ada__directories_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "system__regexp_E");
   E301 : Short_Integer; pragma Import (Ada, E301, "gnat__command_line_E");
   E288 : Short_Integer; pragma Import (Ada, E288, "system__strings__stream_ops_E");
   E216 : Short_Integer; pragma Import (Ada, E216, "system__tasking__initialization_E");
   E147 : Short_Integer; pragma Import (Ada, E147, "ada__text_io_E");
   E226 : Short_Integer; pragma Import (Ada, E226, "system__tasking__protected_objects_E");
   E230 : Short_Integer; pragma Import (Ada, E230, "system__tasking__protected_objects__entries_E");
   E224 : Short_Integer; pragma Import (Ada, E224, "system__tasking__queuing_E");
   E297 : Short_Integer; pragma Import (Ada, E297, "templates_parser_tasking_E");
   E269 : Short_Integer; pragma Import (Ada, E269, "templates_parser_E");
   E291 : Short_Integer; pragma Import (Ada, E291, "templates_parser__input_E");
   E293 : Short_Integer; pragma Import (Ada, E293, "templates_parser__utils_E");
   E150 : Short_Integer; pragma Import (Ada, E150, "aws__utils_E");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      E150 := E150 - 1;
      declare
         procedure F1;
         pragma Import (Ada, F1, "aws__utils__finalize_spec");
      begin
         if E150 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "templates_parser__finalize_body");
      begin
         E269 := E269 - 1;
         if E269 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "templates_parser__finalize_spec");
      begin
         if E269 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "templates_parser_tasking__finalize_body");
      begin
         E297 := E297 - 1;
         if E297 = 0 then
            F4;
         end if;
      end;
      E230 := E230 - 1;
      declare
         procedure F5;
         pragma Import (Ada, F5, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E230 = 0 then
            F5;
         end if;
      end;
      E147 := E147 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "ada__text_io__finalize_spec");
      begin
         if E147 = 0 then
            F6;
         end if;
      end;
      E060 := E060 - 1;
      E143 := E143 - 1;
      declare
         procedure F7;
         pragma Import (Ada, F7, "system__regexp__finalize_spec");
      begin
         if E143 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "ada__directories__finalize_spec");
      begin
         if E060 = 0 then
            F8;
         end if;
      end;
      E093 := E093 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "ada__strings__unbounded__finalize_spec");
      begin
         if E093 = 0 then
            F9;
         end if;
      end;
      declare
         procedure F10;
         pragma Import (Ada, F10, "system__file_io__finalize_body");
      begin
         E134 := E134 - 1;
         if E134 = 0 then
            F10;
         end if;
      end;
      E109 := E109 - 1;
      E105 := E105 - 1;
      E284 := E284 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "system__pool_global__finalize_spec");
      begin
         if E284 = 0 then
            F11;
         end if;
      end;
      declare
         procedure F12;
         pragma Import (Ada, F12, "system__storage_pools__subpools__finalize_spec");
      begin
         if E105 = 0 then
            F12;
         end if;
      end;
      declare
         procedure F13;
         pragma Import (Ada, F13, "system__finalization_masters__finalize_spec");
      begin
         if E109 = 0 then
            F13;
         end if;
      end;
      E179 := E179 - 1;
      declare
         procedure F14;
         pragma Import (Ada, F14, "ada__streams__stream_io__finalize_spec");
      begin
         if E179 = 0 then
            F14;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           True, False, False, False, False, False, False, False, 
           False, False, False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, False, True, True, False, False, True, 
           False, False, True, True, True, True, False, False, 
           True, False, False, True, True, False, True, True, 
           False, True, True, True, True, True, True, True, 
           False, True, False, False, True, False, True, False, 
           True, True, False, False, True, True, False, False, 
           True, True, False, True, False, False, False, False, 
           False, False, True, True, True, False, False, True, 
           False, False, True, False, True, True, False, True, 
           True, True, False, True, False, False, False, True, 
           False, False, False, False, True, False),
         Count => (0, 0, 0, 2, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      if E014 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E177 = 0 then
         System.Fat_Lflt'Elab_Spec;
      end if;
      E177 := E177 + 1;
      if E176 = 0 then
         System.Fat_Llf'Elab_Spec;
      end if;
      E176 := E176 + 1;
      if E012 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E012 := E012 + 1;
      if E055 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E055 := E055 + 1;
      if E118 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E118 := E118 + 1;
      if E171 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E171 := E171 + 1;
      if E009 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E009 := E009 + 1;
      if E048 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      if E052 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E052 := E052 + 1;
      if E095 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E117 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E117 := E117 + 1;
      if E064 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      if E247 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      if E026 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E026 := E026 + 1;
      if E141 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E141 := E141 + 1;
      if E179 = 0 then
         Ada.Streams.Stream_Io'Elab_Spec;
      end if;
      E179 := E179 + 1;
      if E120 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E120 := E120 + 1;
      if E115 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E115 := E115 + 1;
      if E280 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      if E122 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E122 := E122 + 1;
      if E109 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E105 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      if E200 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E200 := E200 + 1;
      if E062 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E062 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E062 := E062 + 1;
      if E070 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E070 := E070 + 1;
      if E273 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E273 := E273 + 1;
      if E275 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      if E303 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E251 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E251 := E251 + 1;
      if E284 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E284 := E284 + 1;
      if E261 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E261 := E261 + 1;
      E105 := E105 + 1;
      if E109 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E109 := E109 + 1;
      E280 := E280 + 1;
      if E134 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E134 := E134 + 1;
      E247 := E247 + 1;
      E064 := E064 + 1;
      if E095 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E095 := E095 + 1;
      E048 := E048 + 1;
      if E014 = 0 then
         System.Soft_Links'Elab_Body;
      end if;
      E014 := E014 + 1;
      if E138 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E138 := E138 + 1;
      if E018 = 0 then
         System.Secondary_Stack'Elab_Body;
      end if;
      E018 := E018 + 1;
      if E303 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E303 := E303 + 1;
      if E093 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E093 := E093 + 1;
      if E060 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E143 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E143 := E143 + 1;
      if E060 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E060 := E060 + 1;
      if E301 = 0 then
         Gnat.Command_Line'Elab_Spec;
      end if;
      if E288 = 0 then
         System.Strings.Stream_Ops'Elab_Body;
      end if;
      E288 := E288 + 1;
      if E216 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E216 := E216 + 1;
      if E147 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E147 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E147 := E147 + 1;
      if E301 = 0 then
         Gnat.Command_Line'Elab_Body;
      end if;
      E301 := E301 + 1;
      E275 := E275 + 1;
      if E226 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E226 := E226 + 1;
      if E230 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E230 := E230 + 1;
      if E224 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E224 := E224 + 1;
      if E297 = 0 then
         Templates_Parser_Tasking'Elab_Body;
      end if;
      E297 := E297 + 1;
      if E269 = 0 then
         Templates_Parser'Elab_Spec;
      end if;
      if E291 = 0 then
         Templates_Parser.Input'Elab_Spec;
      end if;
      E291 := E291 + 1;
      if E293 = 0 then
         Templates_Parser.Utils'Elab_Spec;
      end if;
      E293 := E293 + 1;
      if E269 = 0 then
         Templates_Parser'Elab_Body;
      end if;
      E269 := E269 + 1;
      if E150 = 0 then
         AWS.UTILS'ELAB_SPEC;
      end if;
      if E150 = 0 then
         AWS.UTILS'ELAB_BODY;
      end if;
      E150 := E150 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_webxref");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/obj/tools/webxref.o
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/obj/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/lib/aws/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/lib/include/
   --   -L/usr/lib/zlib-ada/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/lib/src/
   --   -L/usr/lib/xmlada/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/.build/i686-redhat-linux/debug/relocatable/lib/ssl/
   --   -L/builddir/build/BUILD/aws-gpl-2015-src/ssl/
   --   -L/usr/lib/templates_parser/
   --   -L/usr/lib/gcc/i686-redhat-linux/5.1.1/adalib/
   --   -shared
   --   -lgnarl-5
   --   -lgnat-5
   --   -lpthread
   --   -lrt
--  END Object file/option list   

end ada_main;
